package com.xxfc.platform.activity.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

@Data
public class ActivityManagement {
    private static final long serialVersionUID = 1L;

    /**
     *  主键
     */
    @Id
    @GeneratedValue(generator = "JDBC")
    @ApiModelProperty("主键")
    private Integer id;



    /**
     *  活动名称
     */
    @Column(name = "name")
    @ApiModelProperty(value = "活动名称")
    private String name;

    /**
     *  活动开始时间
     */
    @Column(name = "start_time")
    @ApiModelProperty(value = "活动开始时间")
    private Long startTime;

    /**
     *  活动结束时间
     */
    @Column(name = "end_time")
    @ApiModelProperty(value = "活动结束时间")
    private Long endTime;

    /**
     *  人数限制 -1--无限制
     */
    @Column(name = "num_limit")
    @ApiModelProperty(value = "人数限制 -1--无限制")
    private Integer numLimit;

    /**
     *  已经参与人数
     */
    @Column(name = "has_join_num")
    @ApiModelProperty(value = "已经参与人数")
    private Integer hasJoinNum;

    /**
     *  当前状态 1--上架 2--下架
     */
    @Column(name = "status")
    @ApiModelProperty(value = "当前状态 1--上架 2--下架")
    private Integer status;

    /**
     *  排序
     */
    @Column(name = "sort")
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     *  活动图片
     */
    @Column(name = "picture")
    @ApiModelProperty(value = "活动图片")
    private String picture;

    /**
     * 活动类型
     */
    @Column(name = "type")
    @ApiModelProperty(value = "活动类型")
    private Integer type;

    /**
     * 活动页面链接
     */
    @Column(name = "url")
    @ApiModelProperty(value = "活动页面链接")
    private String url;


    /**
     * 活动时期类型:0-永久,1-有期限
     */
    @Column(name = "time_type")
    @ApiModelProperty(value = "活动页面链接")
    private String timeType;
}
