package com.xxfc.platform.uccn.rest;

import com.github.wxiaoqi.security.auth.client.annotation.IgnoreClientToken;
import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.CommonBaseController;
import com.xxfc.platform.tour.feign.TourFeign;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("app/unauth/tour")
@Slf4j
@IgnoreClientToken
public class GwTourController extends CommonBaseController {

    @Autowired
    TourFeign tourFeign;


    @ApiOperation("查询旅游路线列表")
    @RequestMapping(value = "/getGoodList", method = RequestMethod.GET)
    @IgnoreUserToken
    public ObjectRestResponse getGoodList(@RequestParam(value = "page",defaultValue = "1") Integer page, @RequestParam(value = "limit",defaultValue = "10") Integer limit,
                                       @RequestParam(value = "tagId", required = false) Integer tagId) {
        return tourFeign.getGoodList(page, limit, tagId);
    }

    @GetMapping("/detail/{id}")
    @IgnoreUserToken
    public ObjectRestResponse getOne(@PathVariable Integer id) {
        return tourFeign.getOne(id);
    }

    @ApiOperation("首页旅游列表")
    @GetMapping(value = "/shopList")
    @IgnoreUserToken
    public ObjectRestResponse goodListAll(@RequestParam(value = "page", defaultValue = "1") Integer page,
                                        @RequestParam(value = "limit",defaultValue = "4") Integer limit) {
        return ObjectRestResponse.succ(tourFeign.goodListAll(page,limit));
    }
    @GetMapping("/tagList")
    @IgnoreUserToken
    public ObjectRestResponse getTagList(@RequestParam(value = "isHot",defaultValue = "0")Integer isHot) {

        return ObjectRestResponse.succ(tourFeign.tagList(isHot));
    }

}
