package com.xxfc.platform.vehicle.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 驾驶人信息表
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-05-25 10:21:45
 */
@Data
@Table(name = "vehicle_user_license")
public class VehicleUserLicense implements Serializable {
	private static final long serialVersionUID = 1L;
	
	    //主键id
    @Id
	@GeneratedValue(generator = "JDBC")
	@ApiModelProperty("主键id")
    private Integer id;
	
	    //用户id
    @Column(name = "userid")
	@ApiModelProperty(value = "用户id")
    private Integer userid;
	
	    //姓名
    @Column(name = "name")
	@ApiModelProperty(value = "姓名")
    private String name;
	
	    //手机号
    @Column(name = "phone")
	@ApiModelProperty(value = "手机号")
    private String phone;
	
	    //身份证
    @Column(name = "id_card")
	@ApiModelProperty(value = "身份证")
    private String idCard;
	
	    //驾驶证
    @Column(name = "license")
	@ApiModelProperty(value = "驾驶证号码")
	private String license;
	
	    //正面图片
    @Column(name = "img")
	@ApiModelProperty(value = "驾驶证正面图片")
    private String img;
	
	    //反面图片
    @Column(name = "fimg")
	@ApiModelProperty(value = "驾驶证反面图片")
    private String fimg;
	
	    //创建时间
    @Column(name = "crt_time")
	@ApiModelProperty(value = "创建时间", hidden = true )
    private Long crtTime;
	
	    //更新时间
    @Column(name = "upd_time")
	@ApiModelProperty(value = "更新时间", hidden = true )
    private Long updTime;
	
	    //是否删除：0-正常；1-删除
    @Column(name = "isdel")
	@ApiModelProperty(value = "是否删除：0-正常；1-删除")
    private Integer isdel;
	

}
